%define year		2001
%define month		07
%define day		17
%define name 		clisp
%define version		2.27
%define release         1mdk
%define clisp_build	build

Summary:      Common Lisp (ANSI CL) implementation
Name:         clisp
Version:      %{version}
Release:      %{release}
Icon:         clisp.gif
License:      GPL
Serial:       1
Group:        Development/Other
Source:       ftp://seagull.cdrom.com/pub/lisp/clisp/source/%{name}-%{version}.tar.bz2
Patch:	      %{name}-2000-03-06-alpha.patch.bz2
URL:          http://sourceforge.net/projects/clisp/
Provides:     ansi-cl
BuildRoot:    %{_tmppath}/%name-%version-root

%description
Common Lisp is a high-level, all-purpose programming language.

CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe 
University and Michael Stoll of Munich University, both in Germany.

It mostly supports Common Lisp as described in the ANSI CL standard. 
It runs on microcomputers (DOS, OS/2, Windows NT, Windows 95, Amiga 
500-4000, Acorn RISC PC) as well as on Unix workstations (Linux, 
SVR4, Sun4, DEC Alpha OSF, HP-UX, NeXTstep, SGI, AIX, Sun3 and others) 
and needs only 2 MB of RAM.

It is free software and may be distributed under the terms of GNU GPL, 
while it is possible to distribute commercial applications compiled 
with CLISP.

The user interface comes in German, English, French and Spanish. 
CLISP includes an interpreter, a compiler, a large subset of CLOS, 
a foreign language interface and a socket interface.

An X11 interface is available through CLX and Garnet.


%prep

%setup -q

%ifarch alpha
# h4ck3d by Geoff
%patch -p1 -b .alpha
%endif
# Yes, it's very uggly but I have not time to do better. Packager, you are
# welcome to do better

# Original steps don't follow Install guide.
%build
CFLAGS="%optflags"
./configure --prefix=%{_prefix}

(cd src 
./makemake --with-readline --with-gettext --with-dynamic-ffi > Makefile
%make config.lisp
%make 
%make check
%make testsuite
)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_libdir
(
cd src ;
make prefix=%{_prefix} DESTDIR=$RPM_BUILD_ROOT  mandir=%{_mandir} install

mkdir -p $RPM_BUILD_ROOT%_mandir
#mv $RPM_BUILD_ROOT%_prefix/man/* $RPM_BUILD_ROOT%_mandir
#rm -fr $RPM_BUILD_ROOT%_prefix/man

mkdir -p $RPM_BUILD_ROOT%_docdir/%name
mv $RPM_BUILD_ROOT%_prefix/doc/* $RPM_BUILD_ROOT%_docdir/%name
rm -fr $RPM_BUILD_ROOT%_prefix/doc
mv $RPM_BUILD_ROOT%_datadir/dvi $RPM_BUILD_ROOT%_docdir/%name/dvi
mv $RPM_BUILD_ROOT%_datadir/html $RPM_BUILD_ROOT%_docdir/%name/html

cd ../
)

%{find_lang} %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/clisp
%{_libdir}/clisp
%doc ANNOUNCE COPYRIGHT GNU-GPL INSTALL SUMMARY
%doc src/clisp.html 
%doc src/README
%doc src/impnotes.html src/clisp.gif
%{_docdir}/clisp
%{_mandir}/*/*

%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Tue Jul 17 2001 Daouda LO <daouda@mandrakesoft.com> 2.27-1mdk
- release 2.27
  o The default extension of Lisp source files for CLISP is now ".lisp"
    instead of ".lsp". When both "foo.lisp" and "foo.lsp" exist, 
    (LOAD "foo") will load "foo.lisp".

  o Changed bytecode format. All .fas files generated by previous CLISP
     versions  are invalid and must be recompiled.
  o More Ansi CL compliances  
  o See more of the changelog: http://sourceforge.net/forum/forum.php?forum_id=72006 

- update URL.  
- new versioning scheme.
- merge ppc build.
- s|config.lsp|config.lisp| in ppc build.

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2000.03.06-4mdk
- Make it build on the Alpha platform.
- Quiet output when uncompressing the source because it is really too annoying
  to watch.

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 2000.03.06-3mdk
- Rewrite spec following Clisp Install documentation to be able to build this
  package on all archs
- Have an intelligent description

* Sun Jul 23 2000 Pixel <pixel@mandrakesoft.com> 2000.03.06-2mdk
- *much* cleanup, macorizaiton, BM

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2000.03.06-1mdk
- Update to 2000.03.06

* Tue Feb 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- rewrote most of .spec file
- updated to 1999.07.22
